net.ME1312.SubServers.Bungee

## Class SubPlugin

- java.lang.Object
- - net.md_5.bungee.api.ProxyServer
  - - net.md_5.bungee.BungeeCord
    - - net.ME1312.SubServers.Bungee.SubPlugin

    public final class SubPlugin
    extends net.md_5.bungee.BungeeCord

Main Plugin Class

Author:
  ME1312

### Field Summary

Fields
`SubAPI` `api`
`YAMLConfig` `config`
`UniversalFile` `dir`
`java.util.HashMap<java.lang.String,java.lang.String>` `exLang`
`java.util.HashMap<java.lang.String,Server>` `exServers`
`java.util.HashMap<java.lang.String,Host>` `hosts`
`YAMLConfig` `lang`
`SubDataServer` `subdata`
`Version` `version`

### Fields inherited from class net.md_5.bungee.BungeeCord

`bundle, eventLoops, gson, gsonLegacy, isRunning, pluginManager`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.Map<java.lang.String,net.md_5.bungee.api.config.ServerInfo>` `getServers()` Emulate BungeeCord's getServers()
`void` `startListeners()` Load Hosts, Servers, SubServers, and SubData.
`void` `stop()` Override BungeeCord Stop Functions
`void` `stop(java.lang.String reason)` Override BungeeCord Stop Functions
`void` `stopListeners()` Reset all changes made by startListeners

### Methods inherited from class net.md_5.bungee.BungeeCord

`addConnection, broadcast, broadcast, broadcast, broadcast, constructServerInfo, createTitle, getChannels, getConfig, getConfigurationAdapter, getConnectionThrottle, getConsole, getConsoleReader, getDisabledCommands, getGameVersion, getInstance, getLogger, getName, getOnlineCount, getPlayer, getPlayer, getPlayerByOfflineUUID, getPlayers, getPluginManager, getPluginsFolder, getProtocolVersion, getReconnectHandler, getScheduler, getServerInfo, getTranslation, getVersion, matchPlayer, registerChannel, registerChannels, removeConnection, setConfigurationAdapter, setReconnectHandler, start, unregisterChannel`

### Methods inherited from class net.md_5.bungee.api.ProxyServer

`setInstance`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### exServers

    public final java.util.HashMap<java.lang.String,Server> exServers

#### hosts

    public final java.util.HashMap<java.lang.String,Host> hosts

#### dir

    public final UniversalFile dir

#### config

    public YAMLConfig config

#### lang

    public YAMLConfig lang

#### exLang

    public java.util.HashMap<java.lang.String,java.lang.String> exLang

#### subdata

    public SubDataServer subdata

#### version

    public final Version version

#### api

    public final SubAPI api

### Method Detail

#### startListeners

    public void startListeners()

Load Hosts, Servers, SubServers, and SubData.

Overrides:
  `startListeners` in class `net.md_5.bungee.BungeeCord`

#### getServers

    public java.util.Map<java.lang.String,net.md_5.bungee.api.config.ServerInfo> getServers()

Emulate BungeeCord's getServers()

Overrides:
  `getServers` in class `net.md_5.bungee.BungeeCord`
Returns:
  Server Map
See Also:
  `SubAPI.getServers()`

#### stopListeners

    public void stopListeners()

Reset all changes made by startListeners

Overrides:
  `stopListeners` in class `net.md_5.bungee.BungeeCord`
See Also:
  `startListeners()`

#### stop

    public void stop()

Override BungeeCord Stop Functions

Overrides:
  `stop` in class `net.md_5.bungee.BungeeCord`

#### stop

    public void stop(java.lang.String reason)

Override BungeeCord Stop Functions

Overrides:
  `stop` in class `net.md_5.bungee.BungeeCord`
Parameters:
  `reason` - Reason